# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%if ! 0%{?rhel} > 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           loggerhead
Version:        1.18.1
Release:        alt1_5.20120207bzr467
Summary:        Web viewer for the Bazaar version control system

Group:          Development/Tools
License:        GPLv2+
URL:            https://launchpad.net/loggerhead
Source0:        http://launchpad.net/loggerhead/1.18/%{version}/+download/loggerhead-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-paste
BuildRequires: python-module-PasteDeploy
BuildRequires: python-module-simplejson
BuildRequires: python-module-testtools
BuildRequires: python-module-Pygments
BuildRequires: python-module-simpletal
# loggerhead has grown a test suite but it needs python-fixtures
#BuildRequires: python-fixtures
Requires: bzr
%if 0%{?rhel} && 0%{?rhel} <= 5
Requires: python-sqlite2
Requires: python-elementtree
%endif
Source44: import.info
# If bzr-search is packaged we could make use of it
# Requires: bzr-search
# If deployed as fcgi, scgi, or ajp, we'd need this:
# Requires: python-flup
# If python-dozer were packaged, we could do memory_profiling
# Requires: python-dozer

%description
Loggerhead is a WSGI app that provides a web interface to the Bazaar version
control system.  It can be used to navigate a branch history, view who
changed lines in a file, look at patches, and perform searches.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

# We're just going to put this in docs
rm -rf %{buildroot}%{_docdir}/loggerhead
chmod 0644 loggerheadd

# FHS Compliance:
mkdir -p %{buildroot}/%{_datadir}/loggerhead
mv %{buildroot}%{python_sitelibdir_noarch}/loggerhead/static %{buildroot}%{_datadir}/loggerhead
ln -s %{_datadir}/loggerhead/static %{buildroot}%{python_sitelibdir_noarch}/loggerhead/static

install -D -m 0644 -p bazaar.conf %{buildroot}/%{_sysconfdir}/loggerhead/bazaar.conf
# Link the bazaar configs to apache's home dir
mkdir -p %{buildroot}/%{_var}/www
ln -s %{_sysconfdir}/loggerhead/ %{buildroot}%{_var}/www/.bazaar

install -m 0700 -d %{buildroot}%{_var}/cache/loggerhead

%check
# Need python-fixtures and a fix to bzr-2.4
#make check

%files
%doc README NEWS HACKING COPYING.txt loggerheadd
%doc apache-loggerhead.conf docs
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/loggerhead
%config(noreplace) %{_sysconfdir}/loggerhead/bazaar.conf
%{python_sitelibdir_noarch}/bzrlib/plugins/*
%{python_sitelibdir_noarch}/loggerhead/
%if 0%{?fedora} || 0%{?rhel} > 5
%{python_sitelibdir_noarch}/*egg-info
%endif
%{_datadir}/loggerhead
%{_var}/www/.bazaar
%attr(-,apache,apache) %dir %{_var}/cache/loggerhead

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.18.1-alt1_5.20120207bzr467
- initial fc import

